apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2026-02-23T01:10:36Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2026-02-23T01:10:36Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2026-02-23T01:39:48Z'
  name: warm-win2022
  namespace: openshift-mtv
  resourceVersion: '3813692'
  uid: 71b3e3ed-a255-4fe3-9b95-323dc394ebd5
spec:
  pvcNameTemplateUseGenerateName: true
  warm: true
  migrateSharedDisks: true
  targetNamespace: mtv-test
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 0031e1f3-c0a0-41f6-b112-06f8befae647
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: v7-us
      namespace: openshift-mtv
      uid: 0e8b9c47-e33a-45aa-b1af-a18f485116d9
  preserveStaticIPs: true
  type: warm
  vms:
    - id: vm-6274
      name: mtv-win2022-ip-3disks
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: v7-us-8jcfg
      namespace: openshift-mtv
      uid: c77b71a4-774f-4066-bdc1-8ba56ab5cf50
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: v7-us-qtb4q
      namespace: openshift-mtv
      uid: 92388b9a-6809-4526-9f94-4e0230bebbba
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Warn
      lastTransitionTime: '2026-02-23T01:10:37Z'
      message: 'Your migration plan preserves the static IPs of VMs and uses Pod Networking target network mapping. This combination isn''t supported, because VM IPs aren''t preserved in Pod Networking migrations.'
      status: 'True'
      type: NetMapPreservingIPsOnPodNetwork
    - category: Required
      lastTransitionTime: '2026-02-23T01:11:45Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2026-02-23T01:39:48Z'
      message: The plan execution has FAILED.
      status: 'True'
      type: Failed
  migration:
    completed: '2026-02-23T01:39:48Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2026-02-23T01:39:48Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: v7-us-8jcfg
            namespace: openshift-mtv
            uid: c77b71a4-774f-4066-bdc1-8ba56ab5cf50
          storage:
            generation: 1
            name: v7-us-qtb4q
            namespace: openshift-mtv
            uid: 92388b9a-6809-4526-9f94-4e0230bebbba
        migration:
          generation: 1
          name: warm-win2022-xnd7w
          namespace: openshift-mtv
          uid: e4d9eaea-9f7f-4084-94ef-44f93171b68c
        plan:
          generation: 1
          name: warm-win2022
          namespace: openshift-mtv
          uid: 71b3e3ed-a255-4fe3-9b95-323dc394ebd5
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 0031e1f3-c0a0-41f6-b112-06f8befae647
          source:
            generation: 1
            name: v7-us
            namespace: openshift-mtv
            uid: 0e8b9c47-e33a-45aa-b1af-a18f485116d9
    started: '2026-02-23T01:26:24Z'
    vms:
      - started: '2026-02-23T01:26:24Z'
        pipeline:
          - completed: '2026-02-23T01:26:38Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-02-23T01:26:24Z'
          - annotations:
              parentBackingRetries: '1'
            completed: '2026-02-23T01:30:06Z'
            description: Inspect VM before migration.
            name: PreflightInspection
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-02-23T01:26:38Z'
          - annotations:
              unit: MB
            completed: '2026-02-23T01:38:08Z'
            description: Transfer disks.
            name: DiskTransfer
            phase: Completed
            progress:
              completed: 19456
              total: 19456
            started: '2026-02-23T01:30:06Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2026-02-23T01:38:08Z'
                name: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips.vmdk'
                phase: Completed
                progress:
                  completed: 16384
                  total: 16384
                reason: Transfer completed.
                started: '2026-02-23T01:30:28Z'
              - annotations:
                  unit: MB
                completed: '2026-02-23T01:31:35Z'
                name: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips_1.vmdk'
                phase: Completed
                progress:
                  completed: 2048
                  total: 2048
                reason: Transfer completed.
                started: '2026-02-23T01:30:28Z'
              - annotations:
                  unit: MB
                completed: '2026-02-23T01:31:05Z'
                name: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips_2.vmdk'
                phase: Completed
                progress:
                  completed: 1024
                  total: 1024
                reason: Transfer completed.
                started: '2026-02-23T01:30:28Z'
          - annotations:
              unit: MB
            completed: '2026-02-23T01:38:58Z'
            description: Finalize disk transfer.
            name: Cutover
            phase: Completed
            progress:
              completed: 19456
              total: 19456
            started: '2026-02-23T01:38:48Z'
            tasks:
              - annotations:
                  Precopy: '2'
                  unit: MB
                completed: '2026-02-23T01:38:58Z'
                name: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips.vmdk'
                phase: Completed
                progress:
                  completed: 16384
                  total: 16384
                reason: Transfer completed.
                started: '2026-02-23T01:38:39Z'
              - annotations:
                  Precopy: '2'
                  unit: MB
                completed: '2026-02-23T01:38:52Z'
                name: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips_1.vmdk'
                phase: Completed
                progress:
                  completed: 2048
                  total: 2048
                reason: Transfer completed.
                started: '2026-02-23T01:38:39Z'
              - annotations:
                  Precopy: '2'
                  unit: MB
                completed: '2026-02-23T01:38:52Z'
                name: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips_2.vmdk'
                phase: Completed
                progress:
                  completed: 1024
                  total: 1024
                reason: Transfer completed.
                started: '2026-02-23T01:38:39Z'
          - completed: '2026-02-23T01:39:47Z'
            description: Convert image to kubevirt.
            error:
              phase: Running
              reasons:
                - Guest conversion failed. See pod logs for details.
            name: ImageConversion
            phase: Running
            progress:
              completed: 0
              total: 1
            started: '2026-02-23T01:39:01Z'
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        warm:
          consecutiveFailures: 0
          failures: 0
          nextPrecopyAt: '2026-02-23T02:38:08Z'
          precopies:
            - createTaskId: task-14497
              deltas:
                - deltaId: 52 82 ca 4c 80 09 68 dc-b4 31 c4 4a 34 08 9f a1/101
                  disk: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips.vmdk'
                - deltaId: 52 19 3f 41 99 3f df 51-a2 64 4a 4a e4 99 3f 77/33
                  disk: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips_1.vmdk'
                - deltaId: 52 14 73 3e 29 70 a0 65-87 cd 51 b7 8f 3a c2 c9/19
                  disk: '[nfs-us-mtv-v7] mtv-win2022-staticips/mtv-win2022-staticips_2.vmdk'
              end: '2026-02-23T01:38:08Z'
              removeTaskId: task-14499
              snapshot: snapshot-6771
              start: '2026-02-23T01:26:25Z'
            - createTaskId: task-14500
              removeTaskId: task-14501
              snapshot: snapshot-6772
              start: '2026-02-23T01:38:39Z'
          successes: 1
        error:
          phase: ConvertGuest
          reasons:
            - Guest conversion failed. See pod logs for details.
        completed: '2026-02-23T01:39:48Z'
        name: mtv-win2022-ip-3disks
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2026-02-23T01:39:47Z'
            message: The VM migration has FAILED.
            status: 'True'
            type: Failed
        restorePowerState: 'On'
        id: vm-6274
        phase: Completed
  observedGeneration: 1
